Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OBJECT_NOT_EXIST

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.OBJECT_NOT_EXIST

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class OBJECT_NOT_EXIST
extends SystemException

The OBJECT_NOT_EXIST exception is raised whenever an invocation on a deleted object was performed. It is an authoritative ?hard? fault report. Anyone receiving it is allowed (even expected) to delete all copies of this object reference and to perform other appropriate ?final recovery? style procedures. Bridges forward this exception to clients, also destroying any records they may hold (for example, proxy objects used in reference translation). The clients could in turn purge any of their own data structures.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`OBJECT_NOT_EXIST()`
`OBJECT_NOT_EXIST(int minor, CompletionStatus completed)`
`OBJECT_NOT_EXIST(java.lang.String orb_reason)`
`OBJECT_NOT_EXIST(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OBJECT_NOT_EXIST

    public OBJECT_NOT_EXIST()

### OBJECT_NOT_EXIST

    public OBJECT_NOT_EXIST(java.lang.String orb_reason)

### OBJECT_NOT_EXIST

    public OBJECT_NOT_EXIST(int minor,
                            CompletionStatus completed)

### OBJECT_NOT_EXIST

    public OBJECT_NOT_EXIST(java.lang.String orb_reason,
                            int minor,
                            CompletionStatus completed)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD